ALK/Models/ProductOrder.cs
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ALK.Models
{
    using System;
    using System.Collections.Generic;
    
    public partial class ProductOrder
    {
        public int Id { get; set; }
        public int ProductId { get; set; }
        public string UserId { get; set; }
        public int Qty { get; set; }
        public System.DateTime OrderDate { get; set; }
        public string Description { get; set; }
        public bool Delivered { get; set; }
        public Nullable<System.DateTime> DeliveryDate { get; set; }
        public string DeliveryAddress { get; set; }
        public bool PaymentDone { get; set; }
        public Nullable<System.DateTime> PaymentDate { get; set; }
        public Nullable<decimal> PaymentAmount { get; set; }
        public string OrderNumber { get; set; }
    
        public virtual AspNetUser AspNetUser { get; set; }
        public virtual Product Product { get; set; }
    }
}

ALK/Controllers/ProductOrdersController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using ALK.Models;

namespace ALK.Controllers
{
    public class ProductOrdersController : Controller
    {
        private UsedGamesEntities db = new UsedGamesEntities();
        //[OutputCache(VaryByParam = "*", Location = System.Web.UI.OutputCacheLocation.ServerAndClient, Duration = 3600)]

        // GET: ProductOrders
        [Authorize]
        public ActionResult Index(int? id)
        {


            var auser = ApplicationUser.GetUSer(User.Identity.Name);
            var productOrders = db.ProductOrders
                .Where(x => x.UserId == auser.Id).Where(x => x.PaymentDone == false);

            var s = DateTime.Now.ToString("dd:MM:yyyy:HH:mm:ss");
            if (id == 1)
            {
                foreach (var po in productOrders.ToList())
                {
                    var z = db.ProductOrders.Find(po.Id);
                    z.PaymentDone = true;

                    s = s.Replace(":", "");
                    z.OrderNumber = auser.Id.Substring(0, 4) + s;
                    db.Entry(z).State = EntityState.Modified;
                    db.SaveChanges();
                }
            }

            var itemAmount = db.ProductOrders.Where(x => x.UserId == auser.Id).Where(x => x.PaymentDone == false).Select(x => x.PaymentAmount).ToList();
            var itemQty = db.ProductOrders.Where(x => x.UserId == auser.Id).Where(x => x.PaymentDone == false).Select(x => x.Qty).ToList();
            decimal? itemTotal = 0;

            for (int i = 0; i < itemAmount.Count(); i++)
            {
                itemTotal = itemTotal + itemAmount[i] * itemQty[i];
            }

            if (itemTotal != 0)
            {
                ViewBag.TotalAmount = itemTotal;
            }
            //ViewBag.TotalAmount = db.ProductOrders.Where(x => x.UserId == auser.Id).Where(x => x.PaymentDone == false).Select(x => x.PaymentAmount).Sum();
            // ViewBag.TotalAmount = itemTotal;
            //productOrders.Where(x => x.Delivered == false);
            return View(productOrders.ToList());
        }

        [Authorize]
        public ActionResult Inde_x()
        {
            var auser = ApplicationUser.GetUSer(User.Identity.Name);
            var item = db.ProductOrders.Where(x => x.Product.UserId == auser.Id)
                .Where(x => x.PaymentDone)
                .Where(x => x.Delivered == false);

            return View(item.ToList());
        }

        [Authorize]
        public ActionResult Send([Bind(Include = "Id,ProductId,UserId,Qty,OrderDate,Description,Delivered,DeliveryDate,DeliveryAddress,PaymentDone,PaymentDate,PaymentAmount")] ProductOrder productOrder, string OrderNumbers)
        {
            var auser = ApplicationUser.GetUSer(User.Identity.Name);
            var item = db.ProductOrders.Where(x => x.Product.UserId == auser.Id).Where(x => x.OrderNumber == OrderNumbers).ToList();
            foreach (var it in item)
            {
                var z = db.ProductOrders.Find(it.Id);
                z.Delivered = true;
                db.Entry(z).State = EntityState.Modified;
            }
            db.SaveChanges();

            return RedirectToAction("Inde_x");
        }

        // GET: ProductOrders/Details/5
        public ActionResult Details(int? id)
        {
            //ViewBag.DetailsID = id;
            return RedirectToAction("Details", "ProductList", new { id = id });
        }

        // GET: ProductOrders/Create
        public ActionResult Create()

        {
            ViewBag.UserId = new SelectList(db.AspNetUsers, "Id", "Email");
            ViewBag.ProductId = new SelectList(db.Products, "Id", "UserId");
            return View();
        }

        // POST: ProductOrders/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "Id,ProductId,UserId,Qty,OrderDate,Description,Delivered,DeliveryDate,DeliveryAddress,PaymentDone,PaymentDate,PaymentAmount")] ProductOrder productOrder)
        {
            if (ModelState.IsValid)
            {
                db.ProductOrders.Add(productOrder);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            ViewBag.UserId = new SelectList(db.AspNetUsers, "Id", "Email", productOrder.UserId);
            ViewBag.ProductId = new SelectList(db.Products, "Id", "UserId", productOrder.ProductId);
            return View(productOrder);
        }

        // GET: ProductOrders/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            ProductOrder productOrder = db.ProductOrders.Find(id);
            if (productOrder == null)
            {
                return HttpNotFound();
            }
            ViewBag.UserId = new SelectList(db.AspNetUsers, "Id", "Email", productOrder.UserId);
            ViewBag.ProductId = new SelectList(db.Products, "Id", "UserId", productOrder.ProductId);
            return View(productOrder);
        }

        // POST: ProductOrders/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "Id,ProductId,UserId,Qty,OrderDate,Description,Delivered,DeliveryDate,DeliveryAddress,PaymentDone,PaymentDate,PaymentAmount")] ProductOrder productOrder)
        {
            if (ModelState.IsValid)
            {
                db.Entry(productOrder).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            ViewBag.UserId = new SelectList(db.AspNetUsers, "Id", "Email", productOrder.UserId);
            ViewBag.ProductId = new SelectList(db.Products, "Id", "UserId", productOrder.ProductId);
            return View(productOrder);
        }

        // GET: ProductOrders/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            ProductOrder productOrder = db.ProductOrders.Find(id);
            if (productOrder == null)
            {
                return HttpNotFound();
            }
            return View(productOrder);
        }

        // POST: ProductOrders/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            ProductOrder productOrder = db.ProductOrders.Find(id);
            db.ProductOrders.Remove(productOrder);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }

        [Authorize]
        public ActionResult History()
        {
            var auser = ApplicationUser.GetUSer(User.Identity.Name);
            var por = db.ProductOrders.Where(x => x.Product.UserId == auser.Id)
                .Where(x => x.PaymentDone)
                .Where(x => x.Delivered == true);


            var item1 = db.ProductOrders.Where(x=>x.Delivered ==true).Where(x => x.Product.UserId == auser.Id).Select(x => x.OrderNumber);
            var item2 = db.ProductOrders.Where(x => x.UserId == auser.Id).Select(x=>x.OrderNumber).ToList();

            string Temp = "";
            foreach (var item in item1)
            {
                if (item != null)
                {
                    if (!Temp.Contains(item.ToString()))
                    {
                        Temp = Temp + item.ToString() + ";";
                    }
                }
            }
            if (Temp.Length > 1) 
            Temp = Temp.Substring(0, Temp.Length - 1);
            var Temps1 = Temp.Split(';');

            ViewBag.SellsTitle = Temps1;

            
                Temp = "";
            foreach (var item in item2)
            {
                if (item != null)
                {
                    if (!Temp.Contains(item.ToString()))
                    {
                        Temp = Temp + item.ToString() + ";";
                    }
                }
            }
            if (Temp.Length > 1)
                Temp = Temp.Substring(0, Temp.Length - 1);
            var Temps2 = Temp.Split(';');

            ViewBag.BoyTitle = Temps2;

            return View(por.ToList());
        }
    }
}

ALK/Views/ProductOrders/Create.cshtml
@model ALK.Models.ProductOrder

@{
    ViewBag.Title = "Create";
}

<h2>Create</h2>


@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4>ProductOrder</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.ProductId, "ProductId", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("ProductId", null, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.ProductId, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.UserId, "UserId", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("UserId", null, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.UserId, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Qty, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Qty, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Qty, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.OrderDate, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.OrderDate, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.OrderDate, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Description, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Description, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Delivered, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <div class="checkbox">
                    @Html.EditorFor(model => model.Delivered)
                    @Html.ValidationMessageFor(model => model.Delivered, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.DeliveryDate, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.DeliveryDate, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.DeliveryDate, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.DeliveryAddress, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.DeliveryAddress, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.DeliveryAddress, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.PaymentDone, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <div class="checkbox">
                    @Html.EditorFor(model => model.PaymentDone)
                    @Html.ValidationMessageFor(model => model.PaymentDone, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.PaymentDate, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.PaymentDate, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.PaymentDate, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.PaymentAmount, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.PaymentAmount, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.PaymentAmount, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

ALK/Views/ProductOrders/Delete.cshtml
@model ALK.Models.ProductOrder

@{
    ViewBag.Title = "Delete";
}

<h2>Delete</h2>

<h3>Are you sure you want to delete this?</h3>
<div>
    <h4>ProductOrder</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Qty)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Qty)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.OrderDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.OrderDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Description)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Description)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Delivered)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Delivered)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.DeliveryDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.DeliveryDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.DeliveryAddress)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.DeliveryAddress)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.PaymentDone)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PaymentDone)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.PaymentDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PaymentDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.PaymentAmount)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PaymentAmount)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.AspNetUser.Email)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.AspNetUser.Email)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Product.UserId)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Product.UserId)
        </dd>

    </dl>

    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="Delete" class="btn btn-default" /> |
            @Html.ActionLink("Back to List", "Index")
        </div>
    }
</div>

ALK/Views/ProductOrders/Details.cshtml
@model ALK.Models.ProductOrder

@{
    ViewBag.Title = "Details";
}

<h2>Details</h2>

<div>
    <h4>ProductOrder</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Qty)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Qty)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.OrderDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.OrderDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Description)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Description)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Delivered)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Delivered)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.DeliveryDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.DeliveryDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.DeliveryAddress)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.DeliveryAddress)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.PaymentDone)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PaymentDone)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.PaymentDate)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PaymentDate)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.PaymentAmount)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PaymentAmount)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.AspNetUser.Email)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.AspNetUser.Email)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Product.UserId)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Product.UserId)
        </dd>

    </dl>
</div>
<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
    @Html.ActionLink("Back to List", "Index")
</p>

ALK/Views/ProductOrders/History.cshtml
@model IEnumerable<ALK.Models.ProductOrder>
@{
    ViewBag.Title = "History";
}

<h2>History</h2>

<div class="row">
    <div class="col-md-6">
        <table class="table">
            <tr>
                <th>List Sell Orders</th>


            </tr>

            @foreach (var item in ViewBag.SellsTitle)
            {
                <tr>
                    <td>@item</td>

                </tr>
            }


        </table>
    </div>
    <div class="col-md-6">
        <table class="table">
            <tr>


                <th>List Buy Orders</th>
            </tr>

            @foreach (var item in ViewBag.BoyTitle)
            {
                <tr>
                    <td>@item</td>

                </tr>
            }


        </table>
    </div>
</div>

ALK/Views/ProductOrders/Inde_x.cshtml
@model IEnumerable<ALK.Models.ProductOrder>

@{
    ViewBag.Title = "Inde_x";
}

<h2>Order</h2>
@using (Html.BeginForm("Create", "Products", FormMethod.Post))
{
    <table class="table">


        @try
        {

            var tems = Model.Where(x => x.OrderNumber != null);
            string Invoice = "";
            foreach (var tem in tems)
            {
                if (!Invoice.Contains(tem.OrderNumber))
                {
                    Invoice = Invoice + tem.OrderNumber + ";";
                }
            }
            Invoice = Invoice.Remove(Invoice.Length - 1, 1);

            var Invoices = Invoice.Split(';');

            if (tems.Select(x => x.OrderNumber) != null)
            {
                foreach (var invoic in Invoices)
                {
                    var Qty = 0;
                    decimal Amount = 0;
                    <tr>
                        <th>
                            Order Number
                        </th>
                        <th>
                            Products
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.Qty)
                        </th>
                        <th>
                            Price
                        </th>
                        <th>
                            Buyer
                        </th>
                         <th>
                         Email
                         </th>
                        <th></th>
                    </tr>
                    foreach (var item in Model)
                    {
                        if (invoic == item.OrderNumber)
                        {


                            <tr>
                                <td>
                                    @Html.DisplayFor(modelItem => item.OrderNumber)
                                </td>
                                <td>
                                    <a href="@Url.Action("Details", "ProductList", new { id = item.ProductId })">@Html.DisplayFor(modelItem => item.Product.ProductName)</a>
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.Qty)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.PaymentAmount)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.AspNetUser.DisplayName)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.AspNetUser.Email)
                                </td>
                            </tr>
                            Qty = Qty + item.Qty;
                            decimal Temp1 = 0;
                            decimal.TryParse(item.Qty.ToString(), out Temp1);
                            decimal Temp2 = 0;
                            decimal.TryParse(item.PaymentAmount.ToString(), out Temp2);

                            Amount = Amount + Temp1 * Temp2;
                        }
                    }

                    <tr>
                        <td>Totals</td>
                        <td></td>
                        <td>@Qty</td>
                        <td>@Amount</td>
                    </tr>
                    <tr>
                        <th>
                            <a href="@Url.Action("Send", "ProductOrders", new { OrderNumbers = invoic })">Send</a>
                        </th>
                    </tr>
                    <tr>
                        <th></th>
                    </tr>
                    <tr>
                        <th></th>
                    </tr>

                }
            }
            @*else
                {
                    foreach (var item in Model)
                    {
                        <tr>
                            <td>
                                <a href="@Url.Action("Details", "ProductList", new { id = item.ProductId })">@Html.DisplayFor(modelItem => item.Product.ProductName)</a>
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Qty)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.PaymentAmount)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.AspNetUser.DisplayName)
                            </td>
                        </tr>
                    }
                }*@
        }
        catch { }


    </table>

}

ALK/Views/ProductOrders/Index.cshtml
@model IEnumerable<ALK.Models.ProductOrder>

@{
    ViewBag.Title = "Index";
}

<h2>My Order</h2>

<table class="table">
    <tr>
        <th>
            Products
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Qty)
        </th>
        <th>
            Price
        </th>
        <th>
            Seller
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                <a href="@Url.Action("Details", "ProductList", new { id = item.ProductId })">@Html.DisplayFor(modelItem => item.Product.ProductName)</a>
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Qty)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.PaymentAmount)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Product.AspNetUser.DisplayName)
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new { id = item.Id }) |
                @*@Html.ActionLink("Details", "Details", new { id = item.Id }) |*@
                @Html.ActionLink("Delete", "Delete", new { id = item.Id })
            </td>
        </tr>
    }
</table>

@if (ViewBag.TotalAmount != null)
{
    <p>Total Amount to pay @ViewBag.TotalAmount</p>
    <div><a href="@Url.Action("Index", "ProductOrders", new { id = 1 })">To pay by invoice</a></div>
    @*<a href="@Url.Action("Index", "ProductOrders", new { id = 1 })">@Html.DisplayFor(modelItem => item.Product.ProductName)</a>*@
    <a href="#">To pay by BankLink</a>
}